# Circular dependency on ava
%global enable_tests 0
%global srcname arrify

%global commit0 4576e944677c722c356480b17a6d709d34d0733c
%global gittag0 v1.0.0
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        1.0.0
Release:        %mkrel 6
Group:          Development/Java
Summary:        Convert a value to an array
License:        MIT
URL:            https://www.npmjs.com/package/%{srcname}
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif


%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-6.mga10
+ Revision: 2207386
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.0-5.mga9
+ Revision: 1816834
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1492317
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1264684
- Mageia 7 Mass Rebuild

* Wed Sep 28 2016 neoclust <neoclust> 1.0.0-2.mga6
+ Revision: 1057311
- imported package nodejs-arrify

